@echo off
rem ------------------------------------------------------------------------
rem  "run_comb_nodel.bat" - auto-generation batch file
rem                        (no deleting intermediate files)
rem     This is a part of KUCRS:
rem        Knowledge-basing Utilities for Complex Reaction Systems
rem                     (c) 2002-2010 by A. Miyoshi, University of Tokyo
rem                                last edited: Jan.  25, 2011
rem ------------------------------------------------------------------------
command /C mem
rem
rem ----- combust ------------------------------------------
combust %1.inp > %1.log
 if errorlevel 1 goto errcbend
rem /nodel/ del %1_mol.dat
rem
rem ----- trangen ------------------------------------------
trangen %1_thg.inp > %1_trn.log
 if errorlevel 1 goto errtrend
rem /nodel/ del %1_trn.log
rem
rem ----- thermgen -----------------------------------------
thermgen %1_thg.inp %1_thg.lst > %1_thg.log
 if errorlevel 1 goto errtgend
rem /nodel/ del %1_thg.inp %1_thg.log
rem
rem ----- thermfit -----------------------------------------
copy /y %1_thg.lst _thg.lst
command /C thermfit < %1_thf.inp > %1_thf.log
 if errorlevel 1 goto errtfend
copy /y _thg.dat %1_thg.dat
del _thg.lst _thg.dat
rem /nodel/ del %1_thg.lst %1_thf.inp %1_thf.log
rem
rem ----- chemgen ------------------------------------------
chemgen %1_chg.inp %1_thg.dat > %1_chg.log
 if errorlevel 1 goto errcgend
rem /nodel/ del %1_chg.inp %1_thg.dat %1_rxn.inp %1_spc.inp %1_thm.dat
rem
echo run_comb - terminated normally.
 goto :EOF
rem
rem ..... error traps ......................................
:errcbend
 echo run_comb - ERROR returned from combust - Abort.
 goto :EOF
:errtrend
 echo run_comb - ERROR returned from trangen - Abort.
 goto :EOF
:errtgend
 echo run_comb - ERROR returned from thermgen - Abort.
 goto :EOF
:errtfend
 echo run_comb - ERROR returned from thermfit - Abort.
 goto :EOF
:errcgend
 echo run_comb - ERROR returned from chemgen - Abort.
 goto :EOF
:errmlend
 echo run_comb - ERROR returned from mollib - Abort.
